# Class AnthropicModels

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Provides constants for the Anthropic models.

    public static class AnthropicModels

Inheritance
  object
  AnthropicModels

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Claude35Sonnet

The Claude-3.5 Sonnet model.

    public const string Claude35Sonnet = "claude-3-5-sonnet-20240620"

#### Field Value

string

### Claude3Haiku

The Claude-3 Haiku model.

    public const string Claude3Haiku = "claude-3-haiku-20240307"

#### Field Value

string

### Claude3Opus

The Claude-3 Opus model.

    public const string Claude3Opus = "claude-3-opus-20240229"

#### Field Value

string

### Claude3Sonnet

The Claude-3 Sonnet model.

    public const string Claude3Sonnet = "claude-3-sonnet-20240229"

#### Field Value

string